Bug 445894 - yum.cron should run earlier
yum.cron should run earlier
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-cron (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Habig, Alec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-09 13:18 EDT by Orion Poplawski
Modified: 2009-10-27 03:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.9.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-27 02:45:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Use lock file instead of directory (655 bytes, patch)
2008-11-02 11:44 EST, Milan Kerslager
no flags Details | Diff

  None (edit)
Description Orion Poplawski 2008-05-09 13:18:22 EDT
Description of problem:

I propose moving /etc/cron.daily/yum.cron to /etc/cron.daily/0yum.cron to run
before makewhatis, mlocate, prelink, rpm, etc.  Seems like we want to run those
on the newly updated system.
 
Version-Release number of selected component (if applicable):
yum-cron-0.8.2
Comment 1 Habig, Alec 2008-05-09 13:46:45 EDT
Although it would certainly be nice to have things work in that order, I'm not
sure how well this would work.  yum-cron runs yum with a default random wait of
120 minutes (-R 120), to avoid every yum-cron box in the world hammering the
mirrors in synch.  

So, if the /etc/cron.daily jobs run in serial, all the other housekeeping tasks
will run randomly late as well, a behavior I'm loath to unilaterally inflict on
everyone else's packages.

If they run in parallel, then this change has no effect, as yum will be sitting
waiting to roll the dice while the other tasks run anyway.

Looking at /usr/bin/run-parts, it looks like they go in serial, although I'm not
usually up to watch the system at that hour and verify this.
Comment 2 Orion Poplawski 2008-05-09 18:49:46 EDT
Well, there already is 000-delay.cron in cron.daily which provides a variable
delay, though not as much as 120 minutes.  I run with -R 1 here because of that.
 I really don't think there is any problem with having the other stuff delayed.
Comment 3 Milan Kerslager 2008-11-02 11:24:28 EST
Please remove unnecessary delay from yum as there is /etc/cron.daily/000-delay.cron from crontabs package (ramdom delay within 1 hour).

Then please revert back to older name (/etc/cron.daily/000-yum.cron) to make sure update went first and then all subsequent actions.
Comment 4 Milan Kerslager 2008-11-02 11:44:36 EST
Created attachment 322229 [details]
Use lock file instead of directory
Comment 5 Milan Kerslager 2008-11-02 11:48:39 EST
Sorry. The patch from comment #4 is for the bug #469566.
Comment 6 Bug Zapper 2008-11-26 05:40:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Habig, Alec 2008-12-15 10:56:57 EST
Changing version to F10 since this bug is still relevant to that release.
Comment 8 Milan Kerslager 2009-09-30 07:29:18 EDT
The bug still persist in F11. Changing version.
Comment 9 Habig, Alec 2009-10-06 18:20:04 EDT
A test build of yum to try which hopefully resolves this bug:

https://koji.fedoraproject.org/koji/buildinfo?buildID=135389

Let me know if this either works or causes more trouble.
Comment 10 Fedora Update System 2009-10-07 09:40:29 EDT
yum-cron-0.9.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/yum-cron-0.9.0-1.fc11
Comment 11 Fedora Update System 2009-10-07 09:40:45 EDT
yum-cron-0.9.0-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yum-cron-0.9.0-1.fc10
Comment 12 Fedora Update System 2009-10-07 09:41:00 EDT
yum-cron-0.9.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-cron-0.9.0-1.fc12
Comment 13 Fedora Update System 2009-10-08 23:37:56 EDT
yum-cron-0.9.0-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-cron'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10340
Comment 14 Fedora Update System 2009-10-08 23:42:13 EDT
yum-cron-0.9.0-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-cron'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10358
Comment 15 Fedora Update System 2009-10-14 09:46:09 EDT
yum-cron-0.9.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/yum-cron-0.9.1-1.fc11
Comment 16 Fedora Update System 2009-10-14 09:46:25 EDT
yum-cron-0.9.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yum-cron-0.9.1-1.fc10
Comment 17 Fedora Update System 2009-10-14 09:46:39 EDT
yum-cron-0.9.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-cron-0.9.1-1.fc12
Comment 18 Fedora Update System 2009-10-15 18:35:02 EDT
yum-cron-0.9.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-cron'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10519
Comment 19 Fedora Update System 2009-10-15 18:41:05 EDT
yum-cron-0.9.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-cron'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10541
Comment 20 Fedora Update System 2009-10-27 02:44:42 EDT
yum-cron-0.9.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2009-10-27 03:21:24 EDT
yum-cron-0.9.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.